gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gtk::TreeModelColumn< T > Class Template Reference
TreeView Classes

A Gtk::TreeModelColumn describes the C++ type of the data in a model column, and identifies that column in the model. More...

Inheritance diagram for Gtk::TreeModelColumn< T >:
[legend]
Collaboration diagram for Gtk::TreeModelColumn< T >:
[legend]

## Public Types
typedef T | ElementType
typedef Glib::Value< T > | ValueType

## Public Member Functions
| TreeModelColumn ()
Public Member Functions inherited from Gtk::TreeModelColumnBase
GType | type () const
int | index () const

## Additional Inherited Members
Protected Member Functions inherited from Gtk::TreeModelColumnBase
| TreeModelColumnBase (GType type)
Related Functions inherited from Gtk::TreeModelColumnBase
bool | operator== (const TreeModelColumnBase& lhs, const TreeModelColumnBase& rhs)
bool | operator!= (const TreeModelColumnBase& lhs, const TreeModelColumnBase& rhs)

## Detailed Description

### template<class T>
class Gtk::TreeModelColumn< T >

A Gtk::TreeModelColumn describes the C++ type of the data in a model column, and identifies that column in the model.

See Gtk::TreeModel::Columns for a usage example.

## Member Typedef Documentation

template <class T>

typedef T Gtk::TreeModelColumn< T >::ElementType

template <class T>

typedef Glib::Value<T> Gtk::TreeModelColumn< T >::ValueType

## Constructor & Destructor Documentation

template <class T>

Gtk::TreeModelColumn< T >::TreeModelColumn | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- gtkmm/treemodelcolumn.h